How to create an Architectural Desktop Multiview block?

Discussion in 'AutoCAD' started by Jan Grenov, Feb 10, 2005.

  1. Jan Grenov

    Jan Grenov Guest

    I am trying to create a multiview block style including viewblocks for different views.
    Why am I getting the error:
    Method 'Add' of object 'IAecViewBlockDefs' failed

    Sub MakeViewBlocks()
    Dim MVBlokTyper As AecMVBlockStyles
    Dim MVBlokType As AecMVBlockStyle
    Dim VBlokDefs As AecViewBlockDefs
    Dim VBlokPlan As AecViewBlockDef
    Dim BlokPlan As AcadBlock
    Dim Blok3D As AcadBlock

    Set BlokPlan = ThisDrawing.Blocks.Item("Myblock")
    Set MVBlokTyper = New AecMVBlockStyles
    Set MVBlokType = MVBlokTyper.Add("MyMVBlock")
    Set VBlokDefs = New AecViewBlockDefs
    Set VBlokPlan = VBlokDefs.Add(BlokPlan)
    End Sub
     
    Jan Grenov, Feb 10, 2005
    #1
  2. Jan Grenov

    Danny P. Guest

    Jan,

    In 2005 and earlier, I don't think it's possible to create MVBlock
    definitions and populate them with view blocks. You'll have to insert a
    blank definition from an external file with view blocks already
    defined. Once inserted you can change the individual view blocks to
    what you need.

    Hope that helps,
    Danny Polkinhorn
    WATG
    Honolulu
     
    Danny P., Feb 10, 2005
    #2
  3. Jan Grenov

    Jan Grenov Guest

    Hi Danny

    I am sorry that i haven´t replied earlier, but I have been away on a weeks vacation :)

    Anyway, thanks for your reply. I will use the method, that you described.

    Kind regards
    Jan Grenov
    NNE A/S
    Denmark
     
    Jan Grenov, Feb 21, 2005
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.